# Recover a Settlement Request

## POST /settlements/{settlement\_id}/recover

> Used to accelerate on-chain confirmation of an Outbound Settlement transaction stuck pending in a mempool. This is only applicable to a settlement with an outbound transaction in status \`SUBMITTED\`. Only Exchange (Liquidity Provider) operators can recover a settlement and is only applicable to currencies supporting Replace by Fees (RBF) or Replace by Nonce (RBN).<br>

```json
{"openapi":"3.0.2","info":{"title":"Vault API","version":"1.35.0"},"tags":[],"security":[{"Ledger_API_User":[]},{"Ledger_API_User":[],"Ledger_API_Key":[]},{"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]},{"Ledger_API_User":[],"Ledger_API_Key":[],"Ledger_Store_Auth_Token":[]}],"components":{"securitySchemes":{"Ledger_API_User":{"description":"(**required**) Username of a registered API User","in":"header","name":"X-Ledger-API-User","type":"apiKey"}},"schemas":{"SettlementRecoveryData":{"properties":{"fee_strategy":{"description":"The new fee strategy to apply on the outbound transaction","oneOf":[{"$ref":"#/components/schemas/BitcoinFeesStrategy"},{"$ref":"#/components/schemas/EthereumFeesStrategy"},{"$ref":"#/components/schemas/GenericFeesStrategy"}]},"max_fee":{"description":"The new max fee to apply on the outbound transaction","type":"string"}},"required":["fee_strategy","max_fee"],"type":"object"},"BitcoinFeesStrategy":{"properties":{"data":{"allOf":[{"$ref":"#/components/schemas/BitcoinFeesStrategyData"}],"description":"Data specific to the Bitcoin fee strategy."},"type":{"description":"Indicates a custom fee strategy for Bitcoin transactions.","enum":["CUSTOM"]}},"required":["data","type"],"type":"object"},"BitcoinFeesStrategyData":{"properties":{"fees_per_byte":{"description":"The fees per byte for the transaction, in the smallest currency unit..","type":"string"}},"required":["fees_per_byte"],"type":"object"},"EthereumFeesStrategy":{"properties":{"data":{"description":"Data specific to the Ethereum fee strategy.","oneOf":[{"$ref":"#/components/schemas/EthereumFeesStrategyData"},{"$ref":"#/components/schemas/EthereumEIP1559FeesStrategyData"}]},"type":{"description":"Indicates a custom fee strategy for Ethereum transactions.","enum":["CUSTOM"]}},"required":["data","type"],"type":"object"},"EthereumFeesStrategyData":{"properties":{"gas_limit":{"description":"The gas limit for the Ethereum transaction, in the smallest currency unit.","type":"string"},"gas_price":{"description":"The gas price for the Ethereum transaction, in the smallest currency unit.","type":"string"}},"required":["gas_limit","gas_price"],"type":"object"},"EthereumEIP1559FeesStrategyData":{"properties":{"gas_limit":{"description":"The gas limit for the Ethereum transaction, in the smallest currency unit.","type":"string"},"priority_fees":{"description":"The maximum priority fee per gas for the Ethereum transaction, in the smallest currency unit.","type":"string"}},"required":["gas_limit","priority_fees"],"type":"object"},"GenericFeesStrategy":{"properties":{"data":{"allOf":[{"$ref":"#/components/schemas/GenericFeesStrategyData"}],"description":"Details of the transaction speed strategy."},"type":{"description":"The type of fee strategy based on transaction speed.","enum":["SPEED"]}},"required":["data","type"],"type":"object"},"GenericFeesStrategyData":{"properties":{"speed":{"description":"The desired speed of the transaction.","enum":["FAST","NORMAL","SLOW"],"type":"string"}},"required":["speed"],"type":"object"},"Settlement":{"additionalProperties":false,"properties":{"from_pledge_id":{"format":"uuid","type":"string"},"id":{"format":"uuid","type":"string"},"inbound_transaction_intent":{"allOf":[{"$ref":"#/components/schemas/InboundTransactionIntent"}],"default":null,"nullable":true},"meta":{"additionalProperties":{"nullable":true},"type":"object"},"outbound_transaction":{"allOf":[{"$ref":"#/components/schemas/OutboundTransaction"}],"default":null,"nullable":true},"repledge":{"allOf":[{"$ref":"#/components/schemas/RepledgeRequest"}],"default":null,"nullable":true},"repledge_intent":{"allOf":[{"$ref":"#/components/schemas/RepledgeIntent"}],"default":null,"nullable":true},"state":{"type":"string"}},"required":["from_pledge_id","id","meta","state"],"type":"object"},"InboundTransactionIntent":{"properties":{"amount":{"type":"integer"},"to_account_id":{"type":"integer"},"to_address":{"type":"string"}},"required":["amount","to_account_id","to_address"],"type":"object"},"OutboundTransaction":{"properties":{"request_id":{"type":"integer"},"transaction_hash":{"default":null,"nullable":true,"type":"string"},"transaction_id":{"type":"integer"}},"required":["request_id","transaction_id"],"type":"object"},"RepledgeRequest":{"properties":{"repledge_id":{"type":"integer"},"request_id":{"type":"integer"}},"required":["repledge_id","request_id"],"type":"object"},"RepledgeIntent":{"properties":{"account_name":{"type":"string"},"amount":{"type":"string"},"contract_address":{"default":null,"nullable":true,"type":"string"},"currency":{"type":"string"},"exchange_name":{"type":"string"},"pledge_subaccount_id":{"type":"integer"},"to_address":{"default":null,"nullable":true,"type":"string"},"transaction_hash":{"default":null,"nullable":true,"type":"string"}},"required":["account_name","amount","currency","exchange_name","pledge_subaccount_id"],"type":"object"},"Error":{"properties":{"message":{"type":"string"},"name":{"type":"string"},"status_code":{"type":"integer"}},"required":["message","name","status_code"],"type":"object"}}},"paths":{"/settlements/{settlement_id}/recover":{"post":{"tags":["Settlements"],"description":"Used to accelerate on-chain confirmation of an Outbound Settlement transaction stuck pending in a mempool. This is only applicable to a settlement with an outbound transaction in status `SUBMITTED`. Only Exchange (Liquidity Provider) operators can recover a settlement and is only applicable to currencies supporting Replace by Fees (RBF) or Replace by Nonce (RBN).\n","parameters":[{"name":"settlement_id","in":"path","description":"settlement's id","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SettlementRecoveryData"}}},"description":"Settlement recovery payload","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Settlement"}}},"description":"settlement object"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Settlement cannot be recovered"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Settlement not found"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.enterprise.ledger.com/api-documentation/reference/api-reference/settlements/recover-a-settlement-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
